From nobody@FreeBSD.org  Wed Jun 15 23:38:56 2011
Return-Path: <nobody@FreeBSD.org>
Received: from mx1.freebsd.org (mx1.freebsd.org [IPv6:2001:4f8:fff6::34])
	by hub.freebsd.org (Postfix) with ESMTP id B30351065675
	for <freebsd-gnats-submit@FreeBSD.org>; Wed, 15 Jun 2011 23:38:56 +0000 (UTC)
	(envelope-from nobody@FreeBSD.org)
Received: from red.freebsd.org (red.freebsd.org [IPv6:2001:4f8:fff6::22])
	by mx1.freebsd.org (Postfix) with ESMTP id 8A90F8FC1D
	for <freebsd-gnats-submit@FreeBSD.org>; Wed, 15 Jun 2011 23:38:56 +0000 (UTC)
Received: from red.freebsd.org (localhost [127.0.0.1])
	by red.freebsd.org (8.14.4/8.14.4) with ESMTP id p5FNcuHS081741
	for <freebsd-gnats-submit@FreeBSD.org>; Wed, 15 Jun 2011 23:38:56 GMT
	(envelope-from nobody@red.freebsd.org)
Received: (from nobody@localhost)
	by red.freebsd.org (8.14.4/8.14.4/Submit) id p5FNcutS081740;
	Wed, 15 Jun 2011 23:38:56 GMT
	(envelope-from nobody)
Message-Id: <201106152338.p5FNcutS081740@red.freebsd.org>
Date: Wed, 15 Jun 2011 23:38:56 GMT
From: Eitan Adler <lists@eitanadler.com>
To: freebsd-gnats-submit@FreeBSD.org
Subject: [patch] fix USERS in www/tomcat55
X-Send-Pr-Version: www-3.1
X-GNATS-Notify: jhelfman@experts-exchange.com

>Number:         157915
>Category:       ports
>Synopsis:       [patch] fix USERS in www/tomcat55
>Confidential:   no
>Severity:       non-critical
>Priority:       low
>Responsible:    freebsd-ports-bugs
>State:          closed
>Quarter:        
>Keywords:       
>Date-Required:  
>Class:          change-request
>Submitter-Id:   current-users
>Arrival-Date:   Wed Jun 15 23:40:08 UTC 2011
>Closed-Date:    Thu Jun 23 20:55:37 UTC 2011
>Last-Modified:  Thu Jun 23 20:55:37 UTC 2011
>Originator:     Eitan Adler
>Release:        
>Organization:
>Environment:
>Description:

>How-To-Repeat:

>Fix:
Index: Makefile
===================================================================
RCS file: /home/ncvs/ports/www/tomcat55/Makefile,v
retrieving revision 1.58
diff -u -r1.58 Makefile
--- Makefile	15 Feb 2011 07:22:27 -0000	1.58
+++ Makefile	7 Jun 2011 23:06:33 -0000
@@ -34,6 +34,8 @@
 TOMCAT_USER?=	www
 TOMCAT_GROUP?=	www
 TOMCAT_UID?=	80
+USERS=	${TOMCAT_USER}
+GROUPS= ${TOMCAT_GROUP}
 HTTP_PORT?=	8180
 HTTP_TIMEOUT?=	20000
 SHUTDOWN_PORT?=	8005
Index: files/pkg-install.in
===================================================================
RCS file: /home/ncvs/ports/www/tomcat55/files/pkg-install.in,v
retrieving revision 1.3
diff -u -r1.3 pkg-install.in
--- files/pkg-install.in	7 Oct 2010 21:17:37 -0000	1.3
+++ files/pkg-install.in	7 Jun 2011 23:06:33 -0000
@@ -19,46 +19,6 @@
 STDOUT_LOG=%%STDOUT_LOG%%
 STDERR_LOG=%%STDERR_LOG%%
 
-uidgid() {
-if ! pw groupshow "${GROUP}" 2>/dev/null 1>&2; then
-
-	# If not, try to create it
-	if pw groupadd "${GROUP}" -g ${GID}; then
-		echo "Added group \"${GROUP}\"."
-	elif pw groupadd "${GROUP}"; then
-		echo "Added group \"${GROUP}\"."
-	else
-		echo "Adding group \"${GROUP}\" failed..."
-		exit 1
-	fi
-else
-    echo "You already have a group \"${GROUP}\", so I will use it."
-fi
-
-# See if the user already exists
-if ! pw usershow "${USER}" 2>/dev/null 1>&2; then
-
-	# If not, try to create it
-	if pw useradd "${USER}" -u ${UID} -g "${GROUP}" -h - \
-                -s "/usr/sbin/nologin" -d "/nonexistent" \
-                -c "World Wide Web Owner";
-	then
-		echo "Added user \"${USER}\"."
-	elif pw useradd "${USER}" -g "${GROUP}" -h - \
-                -s "/usr/sbin/nologin" -d "/nonexistent" \
-                -c "World Wide Web Owner";
-	then
-		echo "Added user \"${USER}\"."
-	else
-		echo "Adding user \"${USER}\" failed..."
-		exit 1
-	fi
-else
-    echo "You already have a user \"${USER}\", so I will use it."
-fi
-}
-
-
 post() {
     echo -n ">> Creating destination directory..."
     mkdir -p ${APP_HOME}
@@ -93,13 +53,11 @@
 # PACKAGE_BUILDING is only defined on the build cluster or tinderbox!
 # No interactive parts, there is no one who can answer!
 if [ "x${PACKAGE_BUILDING}" != "x" ]; then
-    uidgid
     post
     exit 0
 fi
 
 if [ "$2" = "POST-INSTALL" ]; then
-    uidgid
     post
     exit 0
 fi

>Release-Note:
>Audit-Trail:
Responsible-Changed-From-To: freebsd-ports-bugs->pgollucci 
Responsible-Changed-By: edwin 
Responsible-Changed-When: Wed Jun 15 23:40:18 UTC 2011 
Responsible-Changed-Why:  
pgollucci@ wants his PRs (via the GNATS Auto Assign Tool) 

http://www.freebsd.org/cgi/query-pr.cgi?pr=157915 
State-Changed-From-To: open->feedback 
State-Changed-By: edwin 
State-Changed-When: Wed Jun 15 23:40:22 UTC 2011 
State-Changed-Why:  
Awaiting maintainers feedback (via the GNATS Auto Assign Tool) 

http://www.freebsd.org/cgi/query-pr.cgi?pr=157915 

From: Edwin Groothuis <edwin@FreeBSD.org>
To: jhelfman@experts-exchange.com
Cc: bug-followup@FreeBSD.org
Subject: Re: ports/157915: [patch] fix USERS in www/tomcat55
Date: Wed, 15 Jun 2011 23:40:20 UT

 Maintainer of www/tomcat55,
 
 Please note that PR ports/157915 has just been submitted.
 
 If it contains a patch for an upgrade, an enhancement or a bug fix
 you agree on, reply to this email stating that you approve the patch
 and a committer will take care of it.
 
 The full text of the PR can be found at:
     http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/157915
 
 -- 
 Edwin Groothuis via the GNATS Auto Assign Tool
 edwin@FreeBSD.org

From: Jason Helfman <jhelfman@e-e.com>
To: bug-followup@FreeBSD.org
Cc:  
Subject: Re: ports/157915: [patch] fix USERS in www/tomcat55
Date: Wed, 15 Jun 2011 16:41:57 -0700

 Tested, and approved.
 -- 
 Jason Helfman
 System Administrator
 experts-exchange.com
 http://www.experts-exchange.com/M_4830110.html
 E4AD 7CF1 1396 27F6 79DD  4342 5E92 AD66 8C8C FBA5
State-Changed-From-To: feedback->open 
State-Changed-By: eadler 
State-Changed-When: Thu Jun 16 04:30:02 UTC 2011 
State-Changed-Why:  
maintainer approved (via IRC) 

http://www.freebsd.org/cgi/query-pr.cgi?pr=157915 

From: Jason Helfman <jhelfman@e-e.com>
To: bug-followup@freebsd.org
Cc: eadler@freebsd.org, pgollucci@FreeBSD.org
Subject: Re: ports/157915
Date: Thu, 23 Jun 2011 09:50:45 -0700

 I noticed a typo in the cronolog catalina.out directive. Here is a full patch
 that includes original modifications.
 
 Index: Makefile
 ===================================================================
 RCS file: /home/jhelfman/ncvs/ports/www/tomcat55/Makefile,v
 retrieving revision 1.58
 diff -u -r1.58 Makefile
 --- Makefile	15 Feb 2011 07:22:27 -0000	1.58
 +++ Makefile	23 Jun 2011 16:45:55 -0000
 @@ -34,6 +34,8 @@
   TOMCAT_USER?=	www
   TOMCAT_GROUP?=	www
   TOMCAT_UID?=	80
 +USERS=	${TOMCAT_USER}
 +GROUPS= ${TOMCAT_GROUP}
   HTTP_PORT?=	8180
   HTTP_TIMEOUT?=	20000
   SHUTDOWN_PORT?=	8005
 @@ -91,7 +93,7 @@
   
   .if ( defined(WITH_CRONOLOG) || (WITH_CRONOLOG_DEVEL) )
   LOG_PROCESSOR?= ${LOCALBASE}/sbin/cronolog
 -LOG_PROCESSOR_DIRECTIVES?= "\$$CATALINA_OUT \$$CATALINA_BASE/logs/catalina.out.\%Y_\%m_\%d.out"
 +LOG_PROCESSOR_DIRECTIVES?= "\$$CATALINA_OUT \$$CATALINA_BASE/logs/catalina.\%Y_\%m_\%d.out"
   LOG_PROCESSOR_OPTS?= --link
   REDIRECT?=     "2\>\&1"
   SUB_LIST+=     LOG_PROCESSOR=${LOG_PROCESSOR} \
 Index: files/pkg-install.in
 ===================================================================
 RCS file: /home/jhelfman/ncvs/ports/www/tomcat55/files/pkg-install.in,v
 retrieving revision 1.3
 diff -u -r1.3 pkg-install.in
 --- files/pkg-install.in	7 Oct 2010 21:17:37 -0000	1.3
 +++ files/pkg-install.in	23 Jun 2011 16:45:35 -0000
 @@ -19,46 +19,6 @@
   STDOUT_LOG=%%STDOUT_LOG%%
   STDERR_LOG=%%STDERR_LOG%%
   
 -uidgid() {
 -if ! pw groupshow "${GROUP}" 2>/dev/null 1>&2; then
 -
 -	# If not, try to create it
 -	if pw groupadd "${GROUP}" -g ${GID}; then
 -		echo "Added group \"${GROUP}\"."
 -	elif pw groupadd "${GROUP}"; then
 -		echo "Added group \"${GROUP}\"."
 -	else
 -		echo "Adding group \"${GROUP}\" failed..."
 -		exit 1
 -	fi
 -else
 -    echo "You already have a group \"${GROUP}\", so I will use it."
 -fi
 -
 -# See if the user already exists
 -if ! pw usershow "${USER}" 2>/dev/null 1>&2; then
 -
 -	# If not, try to create it
 -	if pw useradd "${USER}" -u ${UID} -g "${GROUP}" -h - \
 -                -s "/usr/sbin/nologin" -d "/nonexistent" \
 -                -c "World Wide Web Owner";
 -	then
 -		echo "Added user \"${USER}\"."
 -	elif pw useradd "${USER}" -g "${GROUP}" -h - \
 -                -s "/usr/sbin/nologin" -d "/nonexistent" \
 -                -c "World Wide Web Owner";
 -	then
 -		echo "Added user \"${USER}\"."
 -	else
 -		echo "Adding user \"${USER}\" failed..."
 -		exit 1
 -	fi
 -else
 -    echo "You already have a user \"${USER}\", so I will use it."
 -fi
 -}
 -
 -
   post() {
       echo -n ">> Creating destination directory..."
       mkdir -p ${APP_HOME}
 @@ -93,13 +53,11 @@
   # PACKAGE_BUILDING is only defined on the build cluster or tinderbox!
   # No interactive parts, there is no one who can answer!
   if [ "x${PACKAGE_BUILDING}" != "x" ]; then
 -    uidgid
       post
       exit 0
   fi
   
   if [ "$2" = "POST-INSTALL" ]; then
 -    uidgid
       post
       exit 0
   fi
 
 -- 
 Jason Helfman
 System Administrator
 experts-exchange.com
 http://www.experts-exchange.com/M_4830110.html
 E4AD 7CF1 1396 27F6 79DD  4342 5E92 AD66 8C8C FBA5
Responsible-Changed-From-To: pgollucci->freebsd-ports-bugs 
Responsible-Changed-By: pgollucci 
Responsible-Changed-When: Thu Jun 23 18:44:18 UTC 2011 
Responsible-Changed-Why:  
E-NO-TIME right now, back to pool 

http://www.freebsd.org/cgi/query-pr.cgi?pr=157915 

From: Jason Helfman <jhelfman@e-e.com>
To: bug-followup@freebsd.org
Cc: eadler@freebsd.org
Subject: Re: ports/157915
Date: Thu, 23 Jun 2011 12:20:55 -0700

 Hi,
 Please disregard previously submitted patches, as this includes all patches.
 This fixes an option to log via cronolog, properly, as it was not working
 before, and not certain why. May have been due to bad testing, but this was
 awhile ago now, and I can't recall. All of that being said, this has been
 fully tested with default option, and cronolog options, and it works as it
 should, and logs as it should. Thanks!
 files/logprocessor-cronolog (dead, removed)
 
 Index: tomcat55/Makefile
 ===================================================================
 RCS file: /home/jhelfman/ncvs/ports/www/tomcat55/Makefile,v
 retrieving revision 1.58
 diff -u -r1.58 Makefile
 --- tomcat55/Makefile	15 Feb 2011 07:22:27 -0000	1.58
 +++ tomcat55/Makefile	23 Jun 2011 18:54:28 -0000
 @@ -34,6 +34,8 @@
   TOMCAT_USER?=	www
   TOMCAT_GROUP?=	www
   TOMCAT_UID?=	80
 +USERS=	${TOMCAT_USER}
 +GROUPS= ${TOMCAT_GROUP}
   HTTP_PORT?=	8180
   HTTP_TIMEOUT?=	20000
   SHUTDOWN_PORT?=	8005
 @@ -61,6 +63,7 @@
   		HTTP_TIMEOUT=${HTTP_TIMEOUT} \
   		JAR_FILE=${JAR_FILE} \
   		JAVA_HOME=${JAVA_HOME} \
 +		LOG_ARGS=${LOG_ARGS} \
   		LOG_DIR=${LOG_DIR} \
   		PID_FILE=${PID_FILE} \
   		PORTNAME=${PORTNAME} \
 @@ -89,15 +92,10 @@
   RUN_DEPENDS+=	cronolog:${PORTSDIR}/sysutils/cronolog-devel
   .endif
   
 -.if ( defined(WITH_CRONOLOG) || (WITH_CRONOLOG_DEVEL) )
 -LOG_PROCESSOR?= ${LOCALBASE}/sbin/cronolog
 -LOG_PROCESSOR_DIRECTIVES?= "\$$CATALINA_OUT \$$CATALINA_BASE/logs/catalina.out.\%Y_\%m_\%d.out"
 -LOG_PROCESSOR_OPTS?= --link
 -REDIRECT?=     "2\>\&1"
 -SUB_LIST+=     LOG_PROCESSOR=${LOG_PROCESSOR} \
 -	       LOG_PROCESSOR_DIRECTIVES=${LOG_PROCESSOR_DIRECTIVES} \
 -	       LOG_PROCESSOR_OPTS=${LOG_PROCESSOR_OPTS} \
 -	       REDIRECT=${REDIRECT}
 +.if !( defined(WITH_CRONOLOG) || (WITH_CRONOLOG_DEVEL) )
 +LOG_ARGS?=">> \$${tomcat\%\%TOMCAT_VERSION\%\%_stdout_log} 2>> \$${tomcat\%\%TOMCAT_VERSION\%\%_stderr_log}"
 +.else
 +LOG_ARGS?=	"2>\&1 | ${LOCALBASE}/sbin/cronolog --link \$${tomcat55_catalina_base}/logs/catalina.out \$${tomcat55_catalina_base}/logs/catalina.\%Y_\%m_\%d.out \&"
   .endif
   
   .if ( defined(WITH_CRONOLOG) && defined(WITH_CRONOLOG_DEVEL) )
 @@ -116,11 +114,6 @@
   	@${ECHO_MSG} "   Logfile stdout:           ${STDOUT_LOG}"
   	@${ECHO_MSG} "   Logfile stderr:           ${STDERR_LOG}"
   
 -post-patch:
 -.if ( defined(WITH_CRONOLOG) || (WITH_CRONOLOG_DEVEL) )
 -	@cd ${WRKSRC} && ${PATCH} --quiet < ${FILESDIR}/logprocessor-cronolog
 -.endif
 -
   	@${ECHO_MSG} -n ">> Removing unneeded files..."
   	@${FIND} ${WRKSRC} -type f \( -name '*.bak' -or -name '*.bat' -or -name '*.dll' -or -name '*.exe' -or -name '*.orig' \) -delete
   	@${RMDIR} ${WRKSRC}/bin/[i,x]64
 Index: tomcat55/files/logprocessor-cronolog
 ===================================================================
 RCS file: tomcat55/files/logprocessor-cronolog
 diff -N tomcat55/files/logprocessor-cronolog
 --- tomcat55/files/logprocessor-cronolog	12 Dec 2010 18:46:12 -0000	1.1
 +++ /dev/null	1 Jan 1970 00:00:00 -0000
 @@ -1,74 +0,0 @@
 ---- bin/catalina.sh.orig	2010-09-04 12:53:47.000000000 -0700
 -+++ bin/catalina.sh	2010-12-08 16:10:30.000000000 -0800
 -@@ -245,7 +245,9 @@
 -         -Dcatalina.base="$CATALINA_BASE" \
 -         -Dcatalina.home="$CATALINA_HOME" \
 -         -Djava.io.tmpdir="$CATALINA_TMPDIR" \
 --        org.apache.catalina.startup.Bootstrap "$@" start
 -+	org.apache.catalina.startup.Bootstrap "$@" start %%REDIRECT%% \
 -+	| "%%LOG_PROCESSOR%%" "%%LOG_PROCESSOR_OPTS%%" "%%LOG_PROCESSOR_DIRECTIVES%%" &
 -+
 -     else
 -       exec "$_RUNJDB" "$LOGGING_CONFIG" $JAVA_OPTS  $CATALINA_OPTS \
 -         -Djava.endorsed.dirs="$JAVA_ENDORSED_DIRS" -classpath "$CLASSPATH" \
 -@@ -253,7 +255,8 @@
 -         -Dcatalina.base="$CATALINA_BASE" \
 -         -Dcatalina.home="$CATALINA_HOME" \
 -         -Djava.io.tmpdir="$CATALINA_TMPDIR" \
 --        org.apache.catalina.startup.Bootstrap "$@" start
 -+	org.apache.catalina.startup.Bootstrap "$@" start %%REDIRECT%% \
 -+	| "%%LOG_PROCESSOR%%" "%%LOG_PROCESSOR_OPTS%%" "%%LOG_PROCESSOR_DIRECTIVES%%" &
 -     fi
 -   fi
 - 
 -@@ -272,14 +275,16 @@
 -       -Dcatalina.base="$CATALINA_BASE" \
 -       -Dcatalina.home="$CATALINA_HOME" \
 -       -Djava.io.tmpdir="$CATALINA_TMPDIR" \
 --      org.apache.catalina.startup.Bootstrap "$@" start
 -+      org.apache.catalina.startup.Bootstrap "$@" start %%REDIRECT%% \
 -+      | "%%LOG_PROCESSOR%%" "%%LOG_PROCESSOR_OPTS%%" "%%LOG_PROCESSOR_DIRECTIVES%%" &
 -   else
 -     exec "$_RUNJAVA" "$LOGGING_CONFIG" $JAVA_OPTS  $CATALINA_OPTS \
 -       -Djava.endorsed.dirs="$JAVA_ENDORSED_DIRS" -classpath "$CLASSPATH" \
 -       -Dcatalina.base="$CATALINA_BASE" \
 -       -Dcatalina.home="$CATALINA_HOME" \
 -       -Djava.io.tmpdir="$CATALINA_TMPDIR" \
 --      org.apache.catalina.startup.Bootstrap "$@" start
 -+      org.apache.catalina.startup.Bootstrap "$@" start %%REDIRECT%% \
 -+      | "%%LOG_PROCESSOR%%" "%%LOG_PROCESSOR_OPTS%%" "%%LOG_PROCESSOR_DIRECTIVES%%" &
 -   fi
 - 
 - elif [ "$1" = "start" ] ; then
 -@@ -298,8 +303,8 @@
 -       -Dcatalina.base="$CATALINA_BASE" \
 -       -Dcatalina.home="$CATALINA_HOME" \
 -       -Djava.io.tmpdir="$CATALINA_TMPDIR" \
 --      org.apache.catalina.startup.Bootstrap "$@" start \
 --      >> "$CATALINA_OUT" 2>&1 &
 -+      org.apache.catalina.startup.Bootstrap "$@" start %%REDIRECT%% \
 -+      | "%%LOG_PROCESSOR%%" "%%LOG_PROCESSOR_OPTS%%" "%%LOG_PROCESSOR_DIRECTIVES%%" &
 - 
 -       if [ ! -z "$CATALINA_PID" ]; then
 -         echo $! > $CATALINA_PID
 -@@ -310,8 +315,8 @@
 -       -Dcatalina.base="$CATALINA_BASE" \
 -       -Dcatalina.home="$CATALINA_HOME" \
 -       -Djava.io.tmpdir="$CATALINA_TMPDIR" \
 --      org.apache.catalina.startup.Bootstrap "$@" start \
 --      >> "$CATALINA_OUT" 2>&1 &
 -+      org.apache.catalina.startup.Bootstrap "$@" start %%REDIRECT%% \
 -+      | "%%LOG_PROCESSOR%%" "%%LOG_PROCESSOR_OPTS%%" "%%LOG_PROCESSOR_DIRECTIVES%%" &
 - 
 -       if [ ! -z "$CATALINA_PID" ]; then
 -         echo $! > $CATALINA_PID
 -@@ -332,7 +337,8 @@
 -     -Dcatalina.base="$CATALINA_BASE" \
 -     -Dcatalina.home="$CATALINA_HOME" \
 -     -Djava.io.tmpdir="$CATALINA_TMPDIR" \
 --    org.apache.catalina.startup.Bootstrap "$@" stop
 -+    org.apache.catalina.startup.Bootstrap "$@" stop %%REDIRECT%% \
 -+      | "%%LOG_PROCESSOR%%" "%%LOG_PROCESSOR_OPTS%%" "%%LOG_PROCESSOR_DIRECTIVES%%" &
 - 
 -   if [ $FORCE -eq 1 ]; then
 -     if [ ! -z "$CATALINA_PID" ]; then
 Index: tomcat55/files/pkg-install.in
 ===================================================================
 RCS file: /home/jhelfman/ncvs/ports/www/tomcat55/files/pkg-install.in,v
 retrieving revision 1.3
 diff -u -r1.3 pkg-install.in
 --- tomcat55/files/pkg-install.in	7 Oct 2010 21:17:37 -0000	1.3
 +++ tomcat55/files/pkg-install.in	23 Jun 2011 16:45:35 -0000
 @@ -19,46 +19,6 @@
   STDOUT_LOG=%%STDOUT_LOG%%
   STDERR_LOG=%%STDERR_LOG%%
   
 -uidgid() {
 -if ! pw groupshow "${GROUP}" 2>/dev/null 1>&2; then
 -
 -	# If not, try to create it
 -	if pw groupadd "${GROUP}" -g ${GID}; then
 -		echo "Added group \"${GROUP}\"."
 -	elif pw groupadd "${GROUP}"; then
 -		echo "Added group \"${GROUP}\"."
 -	else
 -		echo "Adding group \"${GROUP}\" failed..."
 -		exit 1
 -	fi
 -else
 -    echo "You already have a group \"${GROUP}\", so I will use it."
 -fi
 -
 -# See if the user already exists
 -if ! pw usershow "${USER}" 2>/dev/null 1>&2; then
 -
 -	# If not, try to create it
 -	if pw useradd "${USER}" -u ${UID} -g "${GROUP}" -h - \
 -                -s "/usr/sbin/nologin" -d "/nonexistent" \
 -                -c "World Wide Web Owner";
 -	then
 -		echo "Added user \"${USER}\"."
 -	elif pw useradd "${USER}" -g "${GROUP}" -h - \
 -                -s "/usr/sbin/nologin" -d "/nonexistent" \
 -                -c "World Wide Web Owner";
 -	then
 -		echo "Added user \"${USER}\"."
 -	else
 -		echo "Adding user \"${USER}\" failed..."
 -		exit 1
 -	fi
 -else
 -    echo "You already have a user \"${USER}\", so I will use it."
 -fi
 -}
 -
 -
   post() {
       echo -n ">> Creating destination directory..."
       mkdir -p ${APP_HOME}
 @@ -93,13 +53,11 @@
   # PACKAGE_BUILDING is only defined on the build cluster or tinderbox!
   # No interactive parts, there is no one who can answer!
   if [ "x${PACKAGE_BUILDING}" != "x" ]; then
 -    uidgid
       post
       exit 0
   fi
   
   if [ "$2" = "POST-INSTALL" ]; then
 -    uidgid
       post
       exit 0
   fi
 Index: tomcat55/files/tomcat55.sh.in
 ===================================================================
 RCS file: /home/jhelfman/ncvs/ports/www/tomcat55/files/tomcat55.sh.in,v
 retrieving revision 1.10
 diff -u -r1.10 tomcat55.sh.in
 --- tomcat55/files/tomcat55.sh.in	7 Oct 2010 21:17:37 -0000	1.10
 +++ tomcat55/files/tomcat55.sh.in	23 Jun 2011 18:45:35 -0000
 @@ -102,8 +102,7 @@
   	-Djava.io.tmpdir=${tomcat%%TOMCAT_VERSION%%_catalina_tmpdir} \
   	org.apache.catalina.startup.Bootstrap"
   
 -log_args=">> ${tomcat%%TOMCAT_VERSION%%_stdout_log} \
 -	2>> ${tomcat%%TOMCAT_VERSION%%_stderr_log} "
 +log_args="%%LOG_ARGS%%"
   
   # Subvert the check_pid_file procname check.
   if [ -f $pidfile ]; then
 
 -- 
 Jason Helfman
 System Administrator
 experts-exchange.com
 http://www.experts-exchange.com/M_4830110.html
 E4AD 7CF1 1396 27F6 79DD  4342 5E92 AD66 8C8C FBA5
State-Changed-From-To: open->closed 
State-Changed-By: eadler 
State-Changed-When: Thu Jun 23 20:55:36 UTC 2011 
State-Changed-Why:  
closed per discussion on #bsdports 

http://www.freebsd.org/cgi/query-pr.cgi?pr=157915 
>Unformatted:
